# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'paymentform', 'model_label': 'payment form'},
    {'model_name': 'paymentinstallment', 'model_label': 'payment installment'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:payment_{model['model_name']}_add",
        "perms": [f"payment.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:payment_{model['model_name']}_changelist",
        "perms": [
            f"payment.view_{model['model_name']}",
            f"payment.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'payment',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'payment'}},
    'perms': ['payment.*'],
    'children': children
}]
